Cómo reactivar el soporte para Snaps en Linux Mint 20… por si te interesa

Linux Mint 20 con Snaps

Si has llegado aquí pensando que este artículo no tiene sentido, déjame decirte que en parte estoy de acuerdo contigo. Para muchos, uno de los atractivos más importantes de Linux Mint 20 es justamente que se deshará de los paquetes Snap de Canonical, unos que no están gustando tanto como los Flatpak. Pero para ser honestos, es probable que encontremos algo cuyo desarrollador sólo nos lo ofrezca en snapcraft.io (como Chromium), o en un repositorio no oficial que, además de no ser tan seguro (aunque suelen serlos), nos instalará dependencias que podríamos preferir no instalar. Sería en este supuesto, si necesitamos ese software en concreto y en un paquete, cuando merecería la pena seguir este tutorial.

Pero como he dicho en algún otro artículo, una opción es no seguir estas instrucciones y elegir una distribución que soporte los snaps si de verdad los queremos, como cualquiera de los sabores oficiales de Ubuntu. Lo explicado aquí es para aquellos usuarios que quieran seguir disfrutando de Linux Mint y prefieran tener acceso a los paquetes Snap. La idea de publicarlo me la ha dado Joey Sneddon, quien ha hecho lo mismo en otro medio muy famoso especialista en Ubuntu.

Instalando y activando snapd en Linux Mint 20

Linux Mint 20 ha sido lanzado hoy en forma de beta, y dónde mejor que en una versión de prueba para probar cosas como esta. Lo que vamos a hacer es instalar algunos paquetes y realizar algunos cambios, pero me gustaría insistir en que yo no los haría si no dependo de una app que sólo esté como Snap y no quiero dejar de usar Linux Mint cuando lance su Lysia. Si seguís interesados en seguir este tutorial, y si no, no me critiquéis demasiado por compartir esta información, lo que tenéis que hacer es lo siguiente:

  1. Abrimos la app del terminal.
  2. Escribimos:
sudo rm /etc/apt/preferences.d/nosnap.pref
  1. A continuación, instalamos el paquete con el siguiente comando:
sudo apt install snapd

Lo anterior es necesario porque, como informa Leo Chavez, no se puede instalar el paquete «snapd» de manera convencional porque Linux Mint 20 lo bloquea; muestra un error de que no tiene candidato de instalación. Con lo explicado anteriormente, este problema debería solucionarse. Linux Mint 20 incluye un archivo de configuración llamado nosnap.pref que incluye el siguiente mensaje:

«Linux Mint ya no soporta la Ubuntu Store propietaria del cliente de código abierto «snapd» al que se conecta».

Con este pequeño truco, ya deberíamos ser capaces de instalar Chromium en Linux Mint 20. ¿Lo harás o prefieres dejar Linux Mint 20 con la nueva filosofía de Lefebvre y su equipo?


5 comentarios, deja el tuyo

Deja tu comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.

  1.   Linuxmintuser dijo

    NO LO HARÉ.

  2.   Carlos dijo

    Tiene sentido el comunicado en el blog de linux mint sobre snap(d) y chromium como snap, es una burla.

    El futuro de Linux Mint está en la base Debian que anda mucho mejor que con base ubuntu.

  3.   User12 dijo

    Vaya lo suyo sería que Mint compilara su propio paquete de Chromium (usando por ejemplo el mantenido por Debian), porque eso que pretenden hacer de mandar a los usuarios a descaergarse el paquete directamente desde la web de chromium es poco serio (y un riesgo para el usuario que no recibiría las actualizaciones del programa).

  4.   Carlos dijo

    No creo que llegue a ser necesario. Linux Mint esta implementandose mucho mejor que ubuntu, espero que puedan trasladarse con el tiempo a Debian como base.

    1.    venom dijo

      El problema es que si ubuntu hace esto con mas software… mint tendria que compilarlos. Mejor cortar por lo sano de una vez.